com.digi.xbee.api.models

## Class RemoteATCommandOptions

- java.lang.Object
- - com.digi.xbee.api.models.RemoteATCommandOptions

-     public class RemoteATCommandOptions
      extends Object

  This class lists all the possible options that can be set while transmitting a remote AT Command.

  These options are usually set as a bitfield meaning that the options can be combined using the '|' operand.

  See Also:
    `RemoteATCommandPacket`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPTION_APPLY_CHANGES` Applies changes in the remote device (value: 2).
    `static int` | `OPTION_DISABLE_ACK` Disables ACK (value: 1).
    `static int` | `OPTION_EXTENDED_TIMEOUT` Uses the extended transmission timeout (value: 64).
    `static int` | `OPTION_NONE` No special transmit options (value: 0).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteATCommandOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPTION_APPLY_CHANGES

          public static final int OPTION_APPLY_CHANGES

      Applies changes in the remote device (value: 2).

      If this option is not set, AC command must be sent before changes will take effect.

      See Also:
        Constant Field Values

    - #### OPTION_DISABLE_ACK

          public static final int OPTION_DISABLE_ACK

      Disables ACK (value: 1).
      See Also:
        Constant Field Values

    - #### OPTION_EXTENDED_TIMEOUT

          public static final int OPTION_EXTENDED_TIMEOUT

      Uses the extended transmission timeout (value: 64).

      Setting the extended timeout bit causes the stack to set the extended transmission timeout for the destination address.

      Only valid for ZigBee XBee protocol.

      See Also:
        Constant Field Values

    - #### OPTION_NONE

          public static final int OPTION_NONE

      No special transmit options (value: 0).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RemoteATCommandOptions

          public RemoteATCommandOptions()

© Copyright 2014–2014 Digi International Inc. All rights reserved.